Subject: Re: [BUG] You can't have single quote in your username

From: Michal Suchánek <[email-masked]>
Date: Tue, 3 Sep 2019 11:03:23 +0200

On Tue, 3 Sep 2019 07:51:54 +0000
Giuseppe Crinò <[email-masked]> wrote:

> On Mon, Sep 02, 2019 at 12:25:37PM -0700, Junio C Hamano wrote:
> > I'd rather leave the sleeping dog lie, if we need to encourage
> > people to live in 21st century and step outside US-ASCII to do so,
> > then do that instead.  
> 
> +1 to let the sleeping dog lie. When you say we should encourage people
> to step outside US-ASCII what do you mean by that?
> 
> On Mon, Sep 02, 2019 at 09:50:48PM +0200, Michal Suchánek wrote:
> > As much as I would love to agree Windows is dragging us down here. I
> > don't think there is any other major (or even just not completely
> > obscure) platform that does not support UTF-8 in the terminal.  
> 
> Well, I don't know how much Windows is related to that. On my Linux
> machine my user.name ends with a single quote: I have a US keyboard but
> my name ends with an "o grave" and I can't type it.

Have you ever heard about XCompose?

Thanks

Michal